Name: xfsdump
Version: 2.2.48
Release: alt1
Packager: Grigory Batalov <bga@altlinux.ru>

Summary: Administrative utilities for the XFS filesystem
License: GPL
Group: System/Kernel and hardware
Url: http://oss.sgi.com/projects/xfs/

Source0: ftp://oss.sgi.com/projects/xfs/download/cmd_tars/%{name}_%version-1.tar
Patch: xfsdump-2.2.42-alt-la.patch
Patch1: xfsdump-2.2.42-alt-list.patch
Patch2: xfsdump-2.2.42-alt-libtool.patch

PreReq: /sbin/ldconfig
BuildRequires: libattr-devel libdm-devel libe2fs-devel libncurses-devel
# we need fsx_projid from struct fsxattr
BuildRequires: libxfs-devel >= 2.8.16

%description
The xfsdump package contains xfsdump, xfsrestore and a number of
other utilities for administering XFS filesystems.

xfsdump examines files in a filesystem, determines which need to be
backed up, and copies those files to a specified disk, tape or other
storage medium.  It uses XFS-specific directives for optimizing the
dump of an XFS filesystem, and also knows how to backup XFS extended
attributes.  Backups created with xfsdump are "endian safe" and can
thus be transfered between Linux machines of different architectures
and also between IRIX machines.

xfsrestore performs the inverse function of xfsdump; it can restore a
full backup of a filesystem.  Subsequent incremental backups can then
be layered on top of the full backup.  Single files and directory
subtrees may be restored from full or partial backups.

%prep
%setup -q
%patch -p2
%patch1 -p2
%patch2 -p2

%build
autoconf
%configure --libdir=/%_lib --libexecdir=%_libdir \
	   --sbindir=/sbin --bindir=%_sbindir \
	   --enable-lib64=yes
%make_build DEBUG=-DNDEBUG OPTIMIZER="%optflags"

%install
make DIST_ROOT=%buildroot install install-dev
%__rm -rf %buildroot%_datadir/doc/%name
%find_lang %name

%files -f %name.lang
%doc doc/CHANGES.gz doc/README.xfsdump doc/*.gif doc/xfsdump.html
/sbin/*
%_sbindir/*
%_mandir/*/*

%changelog
* Wed Mar 12 2008 Grigory Batalov <bga@altlinux.ru> 2.2.48-alt1
- New upstream release.

* Fri Sep 21 2007 Grigory Batalov <bga@altlinux.ru> 2.2.46-alt1
- New upstream release (fixes CVE-2007-2654)

* Mon Dec 18 2006 Grigory Batalov <bga@altlinux.ru> 2.2.42-alt1
- New upstream release.
- .la removal patch updated.
- Resolve conflict with systemwide list_add declaration.
- Fix compile and link with libtool.
- Html description page included.
- Uuid-shared patch obsoleted.

* Sat May 15 2004 Alexander Bokovoy <ab@altlinux.ru> 2.2.17-alt1
- 2.2.17

* Thu Dec 11 2003 Alexander Bokovoy <ab@altlinux.ru> 2.2.14-alt1
- 2.2.14
- Build everything dynamically

* Tue May 20 2003 Alexander Bokovoy <ab@altlinux.ru> 2.2.6-alt1
- 2.2.6, changed maintainer
- Spec cleanup
- Updated buildrequires
- Removed obsolete patches

* Fri Dec 27 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.0.3-alt1
- 2.0.3
- Updated buildrequires

* Wed Apr 10 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.0.0-alt0.1cvs
- 2.0.0

* Wed Nov 21 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1.7-alt1
- 1.1.7

* Wed Oct 31 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1.3-alt2
- Rebuilt with libxfs 1.3.7

* Thu Sep 20 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1.3-alt1
- First build for Sisyphus

* Fri Sep  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.3-1mdk
- 1.1.3.
- rework spec files and adjust requires.

* Wed May  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.5-1mdk
- Fist attempt based on the SGI spec.

# end of file


